Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
12.04.2021, 15:58:12

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25488
  • Letzte: belbo
Statistiken
  • Beiträge insgesamt: 728100
  • Themen insgesamt: 58778
  • Heute online: 596
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema:  Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert  (Gelesen 1330 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Hallo zusammen,

ich nutze Mint 17 Cinnamon 64 Bit Desktop.
Nun wollte ich über die Mint 17 Aktualisierungverwaltung unter Menüpunkt "Bearbeiten" das System auf Linux Mint 17.1 Rebecca aktualisieren. Leider scheitert die Umsetzung.
Anbei die Informationen, die ich bekommen konnte:

Mint-meta-cinnamon & mint-meta-core
Set of packages installed by default in the Cinnamon edition of Linux Mint

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
E: Auflösen der Abhängigkeiten ist fehlgeschlagen

Auch Bereinigungsaktionen über Synaptic Paketverwaltung haben nichts genutzt. Auch über die Konsole mit
#sudo apt-get update && sudo apt-get dist-upgrade#
konnten mein Problem auf 17.1 zu gehen nicht lösen.

Als Ursache vermute ich die Mint-Serverüberlastung im Dezember 2014, dass nicht alle Komponenten aktualisiert werden konnten.
Bei meinen Aktualisierungseinstellungen habe ich die Empfehlungen hier aus dem Forum entnommen und alle Pakete mit Kernel zu übernehmen eingestellt.

Hat jemand eine Idee oder muss ich nach der /home-Sicherung ggf. noch /etc eine Neuinstallation von 17.1 umsetzen um sauber zu sein?

Vorab vielen Dank.

DJLinux


Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #1 am: 13.03.2015, 18:00:33 »
Zeig mal die Ausgabe von
sudo apt-get update && sudo apt-get dist-upgradeDie Ausgabe bitte im Codeblock, den erstellst du mit folgender Schaltfläche:

Entweder zuerst auf das '#' klicken und dann zwischen den Klammern einfügen, oder erst einfügen, dann markieren und auf '#' klicken.

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #2 am: 13.03.2015, 18:04:35 »
Vorab vielen Dank. Anbei die Info:

Ign http://linux-mint.froonix.org qiana InRelease
OK   http://deb.playonlinux.com trusty InRelease                               
OK   http://linux-mint.froonix.org qiana Release.gpg                           
Ign http://archive.canonical.com trusty InRelease                             
OK   http://linux-mint.froonix.org qiana Release                               
OK   http://archive.canonical.com trusty Release.gpg                           
OK   http://deb.playonlinux.com trusty/main amd64 Packages                     
OK   http://linux-mint.froonix.org qiana/main amd64 Packages                   
OK   http://archive.canonical.com trusty Release                               
OK   http://linux-mint.froonix.org qiana/upstream amd64 Packages               
OK   http://archive.canonical.com trusty/partner amd64 Packages               
OK   http://deb.playonlinux.com trusty/main i386 Packages                     
OK   http://linux-mint.froonix.org qiana/import amd64 Packages                 
OK   http://archive.canonical.com trusty/partner i386 Packages                 
OK   http://linux-mint.froonix.org qiana/main i386 Packages                   
OK   http://linux-mint.froonix.org qiana/upstream i386 Packages               
OK   http://linux-mint.froonix.org qiana/import i386 Packages                 
Ign http://archive.ubuntu.com trusty InRelease                                 
Ign http://security.ubuntu.com trusty-security InRelease                       
Ign http://archive.canonical.com trusty/partner Translation-en                 
Ign http://extra.linuxmint.com qiana InRelease                                 
Ign http://archive.ubuntu.com trusty-updates InRelease                         
Holen: 1 http://security.ubuntu.com trusty-security Release.gpg [933 B]       
Holen: 2 http://extra.linuxmint.com qiana Release.gpg [198 B]                 
OK   http://archive.ubuntu.com trusty Release.gpg                             
Holen: 3 http://security.ubuntu.com trusty-security Release [62,0 kB]         
Holen: 4 http://extra.linuxmint.com qiana Release [3.204 B]                   
Holen: 5 http://archive.ubuntu.com trusty-updates Release.gpg [933 B]         
Holen: 6 http://extra.linuxmint.com qiana/main amd64 Packages [7.903 B]       
OK   http://archive.ubuntu.com trusty Release                                 
Ign http://deb.playonlinux.com trusty/main Translation-de_DE                   
Ign http://deb.playonlinux.com trusty/main Translation-de                     
Ign http://deb.playonlinux.com trusty/main Translation-en                     
Holen: 7 http://archive.ubuntu.com trusty-updates Release [62,0 kB]           
Holen: 8 http://extra.linuxmint.com qiana/main i386 Packages [7.889 B]         
Holen: 9 http://security.ubuntu.com trusty-security/main amd64 Packages [222 kB]
Ign http://linux-mint.froonix.org qiana/import Translation-de_DE               
Ign http://linux-mint.froonix.org qiana/import Translation-de                 
OK   http://archive.ubuntu.com trusty/main amd64 Packages                     
Ign http://linux-mint.froonix.org qiana/import Translation-en                 
Ign http://linux-mint.froonix.org qiana/main Translation-de_DE                 
Ign http://linux-mint.froonix.org qiana/main Translation-de                   
Ign http://linux-mint.froonix.org qiana/main Translation-en                   
OK   http://archive.ubuntu.com trusty/restricted amd64 Packages               
Ign http://linux-mint.froonix.org qiana/upstream Translation-de_DE             
Ign http://linux-mint.froonix.org qiana/upstream Translation-de               
Ign http://linux-mint.froonix.org qiana/upstream Translation-en               
OK   http://archive.ubuntu.com trusty/universe amd64 Packages                 
OK   http://archive.ubuntu.com trusty/multiverse amd64 Packages               
Holen: 10 http://security.ubuntu.com trusty-security/restricted amd64 Packages [8.875 B]
OK   http://archive.ubuntu.com trusty/main i386 Packages                       
Holen: 11 http://security.ubuntu.com trusty-security/universe amd64 Packages [88,0 kB]
OK   http://archive.ubuntu.com trusty/restricted i386 Packages                 
OK   http://archive.ubuntu.com trusty/universe i386 Packages                   
Holen: 12 http://security.ubuntu.com trusty-security/multiverse amd64 Packages [3.459 B]
OK   http://archive.ubuntu.com trusty/multiverse i386 Packages                 
Holen: 13 http://security.ubuntu.com trusty-security/main i386 Packages [212 kB]
OK   http://archive.ubuntu.com trusty/main Translation-de                     
OK   http://archive.ubuntu.com trusty/main Translation-en                     
Holen: 14 http://security.ubuntu.com trusty-security/restricted i386 Packages [8.846 B]
OK   http://archive.ubuntu.com trusty/multiverse Translation-de               
Holen: 15 http://security.ubuntu.com trusty-security/universe i386 Packages [87,9 kB]
Ign http://extra.linuxmint.com qiana/main Translation-de_DE                   
OK   http://archive.ubuntu.com trusty/multiverse Translation-en               
Holen: 16 http://security.ubuntu.com trusty-security/multiverse i386 Packages [3.628 B]
OK   http://security.ubuntu.com trusty-security/main Translation-en           
Ign http://extra.linuxmint.com qiana/main Translation-de                       
OK   http://archive.ubuntu.com trusty/restricted Translation-de               
OK   http://security.ubuntu.com trusty-security/multiverse Translation-en     
OK   http://archive.ubuntu.com trusty/restricted Translation-en               
Ign http://extra.linuxmint.com qiana/main Translation-en                       
OK   http://security.ubuntu.com trusty-security/restricted Translation-en   
OK   http://archive.ubuntu.com trusty/universe Translation-de               
OK   http://security.ubuntu.com trusty-security/universe Translation-en       
OK   http://archive.ubuntu.com trusty/universe Translation-en                 
Holen: 17 http://archive.ubuntu.com trusty-updates/main amd64 Packages [449 kB]
Holen: 18 http://archive.ubuntu.com trusty-updates/restricted amd64 Packages [9.238 B]
Holen: 19 http://archive.ubuntu.com trusty-updates/universe amd64 Packages [257 kB]
Holen: 20 http://archive.ubuntu.com trusty-updates/multiverse amd64 Packages [11,2 kB]
Holen: 21 http://archive.ubuntu.com trusty-updates/main i386 Packages [440 kB]
Holen: 22 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [9.256 B]
Holen: 23 http://archive.ubuntu.com trusty-updates/universe i386 Packages [259 kB]
Holen: 24 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [11,3 kB]
OK   http://archive.ubuntu.com trusty-updates/main Translation-en             
OK   http://archive.ubuntu.com trusty-updates/multiverse Translation-en       
OK   http://archive.ubuntu.com trusty-updates/restricted Translation-en       
OK   http://archive.ubuntu.com trusty-updates/universe Translation-en         
Ign http://archive.ubuntu.com trusty/main Translation-de_DE                   
Ign http://archive.ubuntu.com trusty/multiverse Translation-de_DE             
Ign http://archive.ubuntu.com trusty/restricted Translation-de_DE             
Ign http://archive.ubuntu.com trusty/universe Translation-de_DE               
Es wurden 2.225 kB in 9 s geholt (232 kB/s).                                   
Paketlisten werden gelesen... Fertig
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #3 am: 13.03.2015, 18:08:06 »
komisch, da sind schon mal keine Fehler...

was passiert bei
sudo apt-get -f installund
sudo dpkg --configure -a

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #4 am: 13.03.2015, 18:17:45 »
Anbei die Infos:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

und

bei Deinem 2-ten Code, erhalte ich keine Informationen angezeigt!

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #5 am: 13.03.2015, 18:21:25 »
Dann könntest du höchstens noch versuchen das Update in Handarbeit zu erledigen, allerdings hab ich keine Ahnung ob das Probleme verursachen kann, irgend einen Grund müssen die Fehler ja haben.

Wenn du es versuchen willst:
gksudo gedit /etc/apt/sources.list.d/official-package-repositories.listund da das qiana in rebecca ändern, den Rest lassen wie er ist. Dann nochmal
sudo apt-get update && sudo apt-get dist-upgrade

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #6 am: 13.03.2015, 18:28:09 »
Hallo Marco77,

wie schätzt Du mein Risiko ein?
Bei den laufenden Anwendungen habe ich keine Probleme weder Performance noch bei Anwendungen.
Ich sichere vorher meine Anwendungsliste sowie /home, wenn ich es so wie von Dir beschrieben umsetze.

Hast Du vielleicht noch eine Empfehlung, was ich sonst noch sichere? Vielen Dank.

Beste Grüße

DJLinux4711

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #7 am: 13.03.2015, 18:43:40 »
Wäre das mein System würde ich es probieren. Das Risiko kann ich aber nicht einschätzen. Ich würde nur meine Eigenen Dateien und die Ordner .mozilla und .thunderbird sichern, der Rest ist schnell erledigt.

Da kannst auch mal noch
dpkg -l | egrep 'cinnamon|nemo'zeigen, vielleicht sieht man ja da ob irgend etwas fehlt.

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #8 am: 13.03.2015, 18:59:32 »
ii  cinnamon                                                    2.2.16                                              amd64        Cinnamon desktop
ii  cinnamon-bluetooth                                          3.8.5+qiana                                         amd64        Gnome Bluetooth support for the Cinnamon desktop
ii  cinnamon-common                                             2.2.16                                              all          Cinnamon desktop (Common data files)
ii  cinnamon-control-center                                     2.2.10+qiana                                        amd64        utilities to configure the Cinnamon desktop
ii  cinnamon-control-center-data                                2.2.10+qiana                                        all          configuration applets for Cinnamon - data files
ii  cinnamon-desktop-data                                       2.2.3+qiana                                         all          Common files for Cinnamon desktop apps
ii  cinnamon-screensaver                                        2.2.4                                               amd64        Cinnamon screen saver and locker
ii  cinnamon-session                                            2.2.2+qiana                                         amd64        Cinnamon Session Manager - Minimal runtime
ii  cinnamon-session-common                                     2.2.2+qiana                                         all          Cinnamon Session Manager - common files
ii  cinnamon-settings-daemon                                    2.2.4+qiana                                         amd64        daemon handling the Cinnamon session settings
ii  cinnamon-themes                                             2014.04.10                                          all          Cinnamon themes
ii  cinnamon-translations                                       2.2.4                                               all          Translation files for the Cinnamon desktop
ii  gir1.2-cinnamondesktop-3.0                                  2.2.3+qiana                                         amd64        Introspection data for CinnamonDesktop
ii  libcinnamon-control-center1                                 2.2.10+qiana                                        amd64        utilities to configure the Cinnamon desktop
ii  libcinnamon-desktop0                                        2.2.3+qiana                                         amd64        Utility library for loading .desktop files - runtime files
ii  libcinnamon-menu-3-0                                        2.2.0+qiana                                         amd64        Cinnamon implementation of the freedesktop menu specification
ii  libnemo-extension1                                          2.2.4+qiana                                         amd64        libraries for nemo components - runtime version
ii  mint-artwork-cinnamon                                       4.4                                                 all          Default artwork for the Cinnamon edition of Linux Mint
ii  mint-info-cinnamon                                          2014.04.04                                          amd64        Necessary information about the Linux Mint release and edition.
ii  nemo                                                        2.2.4+qiana                                         amd64        file manager and graphical shell for Cinnamon
ii  nemo-data                                                   2.2.4+qiana                                         all          data files for nemo
ii  nemo-fileroller                                             2.2.0+qiana                                         amd64        File Roller integration for Nemo
ii  nemo-share                                                  2.2.0+qiana                                         amd64        Nemo extension to share folder using Samba

Hoffe es hilft.  :)

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #9 am: 13.03.2015, 19:16:30 »
Vielleicht...

Was passiert bei
sudo apt-get install mint-meta-cinnamon?

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #10 am: 13.03.2015, 23:42:24 »
Die hatte ich bereits mit synaptic ausprobiert mit dem identischen Ergebnis:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 mint-meta-cinnamon : Hängt ab von: mint-meta-core soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

Re: Upgrade von Mint 17.0 auf Mint 17.1 Rebecca scheitert
« Antwort #11 am: 14.03.2015, 11:50:40 »
Problem ist behoben. Upgrade nun umgesetzt.
Lösungsweg:

Zunächst in der Version 17 folgende Änderung umgesetzt:
gksudo gedit /etc/apt/sources.list.d/official-package-repositories.list

und dann qiana (17) in rebecca (17.1) geändert.
Code: [Auswählen]

sudo apt-get update && sudo apt-get dist-upgrade
Damit wurde das Upgrade über das Terminal problemlos umgesetzt. Leider ließ sich nach einem Reboot das x-windows (Grafische Oberfläche) nicht starten.

Durch den zusätzlichen Tipp von "Marco77" habe ich über das Terminal noch

sudo apt-get install mint-meta-cinnamon
nachinstalliert. Somit startete auch die grafische Oberfläche.

Vielen Dank an Marco77. Das hat mir die Neuinstallation erspart.

DJLinux4711
« Letzte Änderung: 14.03.2015, 12:17:28 von djlinux4711 »